Package org.apache.calcite.avatica

## Class MetaImpl.MetaVersionColumn

- java.lang.Object
- - org.apache.calcite.avatica.MetaImpl.MetaVersionColumn

Enclosing class:
  MetaImpl

    public static class MetaImpl.MetaVersionColumn
    extends java.lang.Object

Metadata describing a version column.

### Field Summary

Fields
`java.lang.Integer` `bufferLength`
`java.lang.String` `columnName`
`java.lang.Integer` `columnSize`
`int` `dataType`
`java.lang.Short` `decimalDigits`
`short` `pseudoColumn`
`java.lang.Short` `scope`
`java.lang.String` `typeName`

### Constructor Summary

Constructors
`MetaVersionColumn​(java.lang.Short scope, java.lang.String columnName, int dataType, java.lang.String typeName, java.lang.Integer columnSize, java.lang.Integer bufferLength, java.lang.Short decimalDigits, short pseudoColumn)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### scope

    public final java.lang.Short scope

#### columnName

    public final java.lang.String columnName

#### dataType

    public final int dataType

#### typeName

    public final java.lang.String typeName

#### columnSize

    public final java.lang.Integer columnSize

#### bufferLength

    public final java.lang.Integer bufferLength

#### decimalDigits

    public final java.lang.Short decimalDigits

#### pseudoColumn

    public final short pseudoColumn

### Constructor Detail

#### MetaVersionColumn

    MetaVersionColumn​(java.lang.Short scope,
                      java.lang.String columnName,
                      int dataType,
                      java.lang.String typeName,
                      java.lang.Integer columnSize,
                      java.lang.Integer bufferLength,
                      java.lang.Short decimalDigits,
                      short pseudoColumn)